## audacity 2.3.3

=== CMakeLists.txt ===
#directory audacity top level
# 3.8 so we can use source_group
# cotire only needs 2.8.12
cmake_minimum_required (VERSION 3.8) 
cmake_policy(SET CMP0043 NEW) # just hide an annoying warning in 3.0.2

# Renaming.  Could just use the official name throughout.
set( top_dir ${CMAKE_SOURCE_DIR} )

# Path for cotire.cmake, and later for our wxwidgets.cmake.
set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules)
include(cotire)

# These stop the results being mixed in with our source tree.
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# On Windows, WXWIN needs to be set to wxWidgets directory, for wxWidgets to 
# be found automatically OR you need to have wxWidgets installed in the 
# standard location on drive C: (or D:).
# If you are using wxWidgets 3.1 or later, you will need to update
# cmake's FindwxWidgets.cmake file, since 3.1.1 is not listed.

# These aren't needed, provided you took heed of the above.
#set( wxWidgets_ROOT_DIR "C:/wxWidgets-3.1.1" )
#set( wxWidgets_LIB_DIR "C:/wxWidgets-3.1.1/lib/vc_lib" )
#set( wxWidgets_CONFIGURATION "mswud" )


#add_subdirectory( "lib-src" ) #All lib building happens via the proxies.
add_subdirectory( "cmake-proxies" )
add_subdirectory( "src" )

# Uncomment what follows for symbol values.
#[[
get_cmake_property(_variableNames VARIABLES)
foreach (_variableName ${_variableNames})
message(STATUS "${_variableName}=${${_variableName}}")
endforeach()
]]#

=== cmake-proxies/CMakeLists.txt ===
#directory cmake-proxies
set( LIB_SRC_DIRECTORY ${top_dir}/lib-src/ )

#These are done in their actual directories, no need for a proxy.

#Same idea, but not yet done/needed
#add_subdirectory( "mod-null" )
#add_subdirectory( "mod-nyq-bench" )
#add_subdirectory( "mod-track-panel" )

#These are all headers, nothing to build.
#add_subdirectory( "ffmpeg" )
#add_subdirectory( "lame" )


# libexpat
set( BUILD_shared OFF CACHE INTERNAL "" FORCE )
add_subdirectory( "${LIB_SRC_DIRECTORY}expat" "${CMAKE_CURRENT_BINARY_DIR}/expat" EXCLUDE_FROM_ALL )
set_target_properties(expat PROPERTIES OSX_ARCHITECTURES "")

add_subdirectory( "FileDialog" )
#add_subdirectory( "help" )
add_subdirectory( "libogg" )
add_subdirectory( "libflac" )
add_subdirectory( "libid3tag" )
add_subdirectory( "libmad" )
add_subdirectory( "libnyquist" )
add_subdirectory( "libscorealign" )
add_subdirectory( "libsndfile" )
add_subdirectory( "libsoxr" )
add_subdirectory( "libvamp" )
add_subdirectory( "libvorbis" )
#add_subdirectory( "locale" )
add_subdirectory( "lv2" )
add_subdirectory( "mod-script-pipe" )
add_subdirectory( "portaudio-v19" )
add_subdirectory( "portmidi" )
add_subdirectory( "portmixer" )
#add_subdirectory( "portburn" ) # not built
add_subdirectory( "portsmf" )
add_subdirectory( "sbsms" )
add_subdirectory( "soundtouch" )
add_subdirectory( "twolame" )

=== lib-src/CMakeLists.txt ===
#directory lib-src
set( LIB_SRC_DIRECTORY ${top_dir}/lib-src/ )

#These two are done in lib-src
add_subdirectory( "mod-script-pipe" )
add_subdirectory( "FileDialog" )

#Same idea, but not yet done/needed
#add_subdirectory( "mod-null" )
#add_subdirectory( "mod-nyq-bench" )
#add_subdirectory( "mod-track-panel" )

#These are included in some other lib, and don't need a lib of their own.
#add_subdirectory( "lib-widget-extra" )

# Most of the others are done via cmake-proxies subdirectory.


#Some left over file names, not yet used in the cmake build.
#[[
${LIB_SRC_DIRECTORY}mod-null/ModNullCallback.cpp
${LIB_SRC_DIRECTORY}mod-nyq-bench/NyqBench.cpp

${LIB_SRC_DIRECTORY}mod-track-panel/ModTrackPanelCallback.cpp
${LIB_SRC_DIRECTORY}mod-track-panel/Registrar.cpp
${LIB_SRC_DIRECTORY}mod-track-panel/SkewedRuler.cpp
${LIB_SRC_DIRECTORY}mod-track-panel/TrackPanel2.cpp

${LIB_SRC_DIRECTORY}lib-widget-extra/NonGuiThread.cpp

]]#

=== nyq-po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.18
GETTEXT_MACRO_VERSION = 0.18

PACKAGE = audacity
VERSION = 2.3.3
PACKAGE_BUGREPORT = 

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local/
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /home/james/OpenSourceGit/audacity/autotools/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /home/james/OpenSourceGit/audacity/autotools/install-sh -d
install_sh = $(SHELL) ${SHELL} /home/james/OpenSourceGit/audacity/autotools/install-sh
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

GMSGFMT_ = /usr/bin/msgfmt
GMSGFMT_no = /usr/bin/msgfmt
GMSGFMT_yes = /usr/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /usr/bin/msgfmt
MSGFMT_no = /usr/bin/msgfmt
MSGFMT_yes = /usr/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/bin/xgettext
XGETTEXT_no = /usr/bin/xgettext
XGETTEXT_yes = /usr/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES = 
GMOFILES = 
UPDATEPOFILES = 
DUMMYPOFILES = 
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../plug-ins/SilenceMarker.ny \
     ../plug-ins/SoundFinder.ny \
     ../plug-ins/SpectralEditMulti.ny \
     ../plug-ins/SpectralEditParametricEQ.ny \
     ../plug-ins/SpectralEditShelves.ny \
     ../plug-ins/StudioFadeOut.ny \
     ../plug-ins/adjustable-fade.ny \
     ../plug-ins/beat.ny \
     ../plug-ins/clipfix.ny \
     ../plug-ins/crossfadeclips.ny \
     ../plug-ins/crossfadetracks.ny \
     ../plug-ins/delay.ny \
     ../plug-ins/equalabel.ny \
     ../plug-ins/highpass.ny \
     ../plug-ins/limiter.ny \
     ../plug-ins/lowpass.ny \
     ../plug-ins/notch.ny \
     ../plug-ins/nyquist-plug-in-installer.ny \
     ../plug-ins/pluck.ny \
     ../plug-ins/rhythmtrack.ny \
     ../plug-ins/rissetdrum.ny \
     ../plug-ins/sample-data-export.ny \
     ../plug-ins/sample-data-import.ny \
     ../plug-ins/tremolo.ny \
     ../plug-ins/vocalrediso.ny \
     ../plug-ins/vocalremover.ny \
     ../plug-ins/vocoder.ny

CATALOGS = 

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = nyq-po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = -L lisp --add-comments=" i18n" --add-location=file --keyword=_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Audacity Team

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = audacity-translation@lists.sourceforge.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: check-macro-version all-yes

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:
	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if LC_ALL=C grep 'GNU audacity' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
	  package_gnu='GNU '; \
	else \
	  package_gnu=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_gnu}audacity" \
	      --package-version='2.3.3' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	esac
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) \
	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
	           *) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
	         esac; \
	       }; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \

=== src/CMakeLists.txt ===
#directory src
project (Audacity)
find_package(wxWidgets REQUIRED COMPONENTS net core base html qa adv)
include(${wxWidgets_USE_FILE})

set_property(GLOBAL PROPERTY USE_FOLDERS On) 


# Needed for configwin.h included by Audacity.h
include_directories(${top_dir}/win)

#include_directories(${top_dir}/lib-src/)
include_directories(${top_dir}/include)
include_directories(${top_dir}/src) # for AudacityHeaders.h
include_directories(${top_dir}/lib-src/expat/lib)
include_directories(${top_dir}/lib-src/FileDialog)
include_directories(${top_dir}/lib-src/FileDialog/win)
include_directories(${top_dir}/lib-src/ffmpeg)
include_directories(${top_dir}/lib-src/ffmpeg/win32)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/libid3tag) #for id3tag.h
include_directories(${top_dir}/lib-src/libmad/msvc++)
include_directories(${top_dir}/lib-src/libmad)
include_directories(${top_dir}/lib-src/libnyquist)
include_directories(${top_dir}/lib-src/libogg/include)
include_directories(${top_dir}/lib-src/libscorealign)
include_directories(${top_dir}/win/Projects/libsndfile) 
include_directories(${top_dir}/lib-src/libsoxr/src) #really?  Src?
include_directories(${top_dir}/lib-src/libvamp)
include_directories(${top_dir}/lib-src/libvorbis/include)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/portmixer/include)
include_directories(${top_dir}/lib-src/portsmf)
include_directories(${top_dir}/lib-src/sbsms/include)
include_directories(${top_dir}/lib-src/soundtouch/include)
include_directories(${top_dir}/lib-src/twolame/libtwolame)
include_directories(${top_dir}/lib-src/portmidi/pm_common)
include_directories(${top_dir}/lib-src/portmidi/porttime)
include_directories(${top_dir}/lib-src/lv2/lilv)
include_directories(${top_dir}/lib-src/lv2/lv2)
include_directories(${top_dir}/lib-src/lv2/suil)
include_directories(${top_dir}/lib-src/lame)

#if(MSVC)
    add_definitions(/FI"AudacityHeaders.h")
#else()
    # GCC or Clang
#    add_definitions(-include AudacityHeaders.h)
#endif()




# Consider moving many of these # defines to Audacity.h.
# disable warning of insecure functions like getEnv
add_definitions( -D_CRT_SECURE_NO_WARNINGS )

add_definitions( -DBUILDING_AUDACITY )
add_definitions( -DXML_STATIC )
add_definitions( -D__STDC_CONSTANT_MACROS )
add_definitions( -DWXINTL_NO_GETTEXT_MACRO )
add_definitions( -DWXUSINGDLL )
add_definitions( -D__WXMSW__ )
add_definitions( -DwxDEBUG_LEVEL=0 )
add_definitions( -DNDEBUG )
add_definitions( -DWIN32 )
add_definitions( -DSTRICT )




# disable warning of deprecated features.
# NB we may want this ON for better wx code style.
add_compile_options(/wd4996)




set( SOURCE 
   ${CMAKE_SOURCE_DIRECTORY}AudacityHeaders.cpp  #first so cotire can precompile
   ${CMAKE_SOURCE_DIRECTORY}AboutDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}AColor.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityApp.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityException.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityLogger.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudioIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}AutoRecovery.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommandDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchProcessDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}Benchmark.cpp
   ${CMAKE_SOURCE_DIRECTORY}BlockFile.cpp
   #${CMAKE_SOURCE_DIRECTORY}CrossFade.cpp # abandoned code.
   ${CMAKE_SOURCE_DIRECTORY}Dependencies.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceChange.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Diags.cpp
   ${CMAKE_SOURCE_DIRECTORY}DirManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Dither.cpp
   ${CMAKE_SOURCE_DIRECTORY}Envelope.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFmpeg.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFT.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileException.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileFormats.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileNames.cpp
   ${CMAKE_SOURCE_DIRECTORY}FreqWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}HelpText.cpp
   ${CMAKE_SOURCE_DIRECTORY}HistoryWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}ImageManipulation.cpp
   ${CMAKE_SOURCE_DIRECTORY}InconsistencyException.cpp
   ${CMAKE_SOURCE_DIRECTORY}Internat.cpp
   ${CMAKE_SOURCE_DIRECTORY}InterpolateAudio.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}LangChoice.cpp
   ${CMAKE_SOURCE_DIRECTORY}Languages.cpp
   ${CMAKE_SOURCE_DIRECTORY}Legacy.cpp
   ${CMAKE_SOURCE_DIRECTORY}Lyrics.cpp
   ${CMAKE_SOURCE_DIRECTORY}LyricsWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}Matrix.cpp
   ${CMAKE_SOURCE_DIRECTORY}Menus.cpp
   ${CMAKE_SOURCE_DIRECTORY}#MenusMac.cpp   # Not wanted on Windows.
   ${CMAKE_SOURCE_DIRECTORY}Mix.cpp
   ${CMAKE_SOURCE_DIRECTORY}MixerBoard.cpp
   ${CMAKE_SOURCE_DIRECTORY}ModuleManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}NoteTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}PitchName.cpp
   ${CMAKE_SOURCE_DIRECTORY}PlatformCompatibility.cpp
   ${CMAKE_SOURCE_DIRECTORY}PluginManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Prefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Printing.cpp
   ${CMAKE_SOURCE_DIRECTORY}Profiler.cpp
   ${CMAKE_SOURCE_DIRECTORY}Project.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}Resample.cpp
   ${CMAKE_SOURCE_DIRECTORY}RingBuffer.cpp
   ${CMAKE_SOURCE_DIRECTORY}SampleFormat.cpp
   ${CMAKE_SOURCE_DIRECTORY}Screenshot.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectedRegion.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectionState.cpp
   ${CMAKE_SOURCE_DIRECTORY}Sequence.cpp
   ${CMAKE_SOURCE_DIRECTORY}Shuttle.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttleGui.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttlePrefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Snap.cpp
   ${CMAKE_SOURCE_DIRECTORY}SoundActivatedRecord.cpp
   ${CMAKE_SOURCE_DIRECTORY}Spectrum.cpp
   ${CMAKE_SOURCE_DIRECTORY}SplashDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}SseMathFuncs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Tags.cpp
   ${CMAKE_SOURCE_DIRECTORY}Theme.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimerRecordDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}Track.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackArtist.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanel.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelAx.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizeHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizerCell.cpp
   ${CMAKE_SOURCE_DIRECTORY}UIHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}UndoManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}UserException.cpp
   ${CMAKE_SOURCE_DIRECTORY}ViewInfo.cpp
   ${CMAKE_SOURCE_DIRECTORY}VoiceKey.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveClip.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}WrappedType.cpp
   #An anomoly - a source file plucked from a lib.
   ${top_dir}/lib-src/lib-widget-extra/NonGuiThread.cpp
)

# We're not yet adding each subdirectory.
# instead we do what we would do there here.
#add_subdirectory( blockfile )
set( BLOCKFILE_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/NotYetAvailableException.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODDecodeBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODPCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/PCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SilentBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SimpleBlockFile.cpp
)   
source_group( blockfile FILES ${BLOCKFILE_SOURCE} )


#add_subdirectory( commands )
set( COMMANDS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}commands/AppCommandEvent.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/AudacityCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/BatchEvalCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Command.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandBuilder.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandContext.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandDirectory.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandHandler.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandSignature.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandTargets.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandType.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CompareAudioCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Demo.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/DragCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetTrackInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/HelpCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ImportExportCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Keyboard.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/LoadCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/MessageCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/OpenSaveCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/PreferenceCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ResponseQueue.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScreenshotCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScriptCommandRelay.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SelectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetClipCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetEnvelopeCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetLabelCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetProjectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetTrackInfoCommand.cpp
)
source_group( commands FILES ${COMMANDS_SOURCE} )

#add_subdirectory( effects )
set( EFFECTS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}effects/Amplify.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/AutoDuck.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/BassTreble.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Biquad.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangePitch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeSpeed.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeTempo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ClickRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Compressor.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Contrast.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Distortion.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/DtmfGen.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Echo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Effect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectRack.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Fade.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/FindClipping.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Generator.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Invert.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Leveller.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/LoadEffects.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Noise.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseReduction.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Normalize.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Paulstretch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Phaser.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repair.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repeat.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverb.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverse.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SBSMSEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScienFilter.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScoreAlignDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Silence.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SimpleMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SoundTouchEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/StereoToMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeScale.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeWarper.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ToneGen.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TruncSilence.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TwoPassSimpleMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Wahwah.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/audiounits/AudioUnitEffect.cpp

=== cmake-proxies/FileDialog/CMakeLists.txt ===
#directory lib-src/FileDialog
set(TARGET FileDialog)
set(TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET})
project(${TARGET})

add_library(${TARGET} STATIC ${LIB_SRC_DIRECTORY}FileDialog/FileDialog.cpp)
target_include_directories(${TARGET} PRIVATE ${TARGET_SOURCE})
set_target_properties(${TARGET} PROPERTIES
    CXX_STANDARD 11
    OSX_ARCHITECTURES "")

find_package(wxWidgets REQUIRED COMPONENTS net core base)
include(${wxWidgets_USE_FILE})
target_compile_definitions(${TARGET} PRIVATE ${wxWidgets_DEFINITIONS})
target_compile_options(${TARGET} PRIVATE ${wxWidgets_CXX_FLAGS})
target_link_libraries(${TARGET} PRIVATE ${wxWidgets_LIBRARIES})

if(WIN32)
    target_sources(${TARGET} PRIVATE ${LIB_SRC_DIRECTORY}FileDialog/win/FileDialogPrivate.cpp)
    target_compile_definitions(${TARGET} PRIVATE __WIN32__)
    target_include_directories(${TARGET} PRIVATE ${TARGET_SOURCE}/win)
elseif(APPLE)
    target_sources(${TARGET} PRIVATE ${LIB_SRC_DIRECTORY}FileDialog/mac/FileDialogPrivate.mm)
    target_compile_options(${TARGET} PRIVATE -Wno-deprecated-declarations)
    target_include_directories(${TARGET} PRIVATE ${TARGET_SOURCE}/mac)
else()
    target_sources(${TARGET} PRIVATE ${LIB_SRC_DIRECTORY}FileDialog/gtk/FileDialogPrivate.cpp)

    find_program(wxWidgets_CONFIG_EXECUTABLE
        NAMES wx-config wx-config-3.1 wx-config-3.0 wx-config-2.9 wx-config-2.8
        ONLY_CMAKE_FIND_ROOT_PATH)
    execute_process(
        COMMAND sh "${wxWidgets_CONFIG_EXECUTABLE}" --query-toolkit
        OUTPUT_VARIABLE WXGTK
        RESULT_VARIABLE RET
        ERROR_QUIET)
    string(STRIP "${WXGTK}" WXGTK)
    if(RET EQUAL 0 AND WXGTK STREQUAL "gtk3")
        set(GTK_PACKAGE gtk+-3.0)
    else()
        set(GTK_PACKAGE gtk+-2.0)
    endif()

    find_package(PkgConfig REQUIRED)
    pkg_check_modules(GTK REQUIRED ${GTK_PACKAGE})
    target_compile_options(${TARGET} PRIVATE -Wno-deprecated-declarations ${GTK_CFLAGS})
    target_include_directories(${TARGET} PRIVATE ${TARGET_SOURCE}/gtk ${GTK_INCLUDE_DIRS})
    target_link_libraries(${TARGET} PUBLIC ${GTK_LIBRARIES})
endif()

=== cmake-proxies/ffmpeg/CMakeLists.txt ===
#directory cmake-proxies/expat
set( TARGET expat )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${TARGET_SOURCE}/lib/xmlparse.c
#${LIB_SRC_DIRECTORY}FileDialog/gtk/FileDialogPrivate.cpp #not on windows.
#${LIB_SRC_DIRECTORY}${TARGET}/win/FileDialogPrivate.cpp
)
# This defines the #define on both Windows and Linux.
add_definitions(  )
add_library( ${TARGET} MODULE ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 

)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libflac/CMakeLists.txt ===
#directory cmake-proxies/libflac
cmake_minimum_required(VERSION 3.12)

set(TARGET libflac)
set(TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET})
project(${TARGET} VERSION 1.3.1)

option(FLAC_ENABLE_64_BIT_WORDS "Set FLAC__BYTES_PER_WORD to 8 (4 is the default)" OFF)
option(FLAC_WITH_ASM "Use any assembly optimization routines" ON)

if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
    if(CMAKE_BULD_TYPE STREQUAL Release)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -funroll-loops")
    endif()

    option(FLAC_ENABLE_SSP "Enable GNU GCC stack smash protection" OFF)
endif()

if(CMAKE_SYSTEM_PROCESSOR MATCHES "[xX]86(_64)?|(AMD|amd)64|i[346]86")
    option(FLAC_WITH_AVX "Enable AVX, AVX2 optimizations" ON)
    option(FLAC_WITH_SSE "Enable AVX, AVX2 optimizations" ON)
endif()

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(TestBigEndian)

check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("inttypes.h" HAVE_INTTYPES_H)
check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("x86intrin.h" HAVE_X86INTRIN_H)
check_include_file("cpuid.h" HAVE_CPUID_H)
check_include_file("sys/param.h" HAVE_SYS_PARAM_H)

function(check_lround)
    set(CMAKE_REQUIRED_LIBRARIES m)
    check_function_exists(lround HAVE_LROUND)
endfunction()

check_lround()

check_c_source_compiles("int main() { return __builtin_bswap16 (0) ; }" HAVE_BSWAP16)
check_c_source_compiles("int main() { return __builtin_bswap32 (0) ; }" HAVE_BSWAP32)
check_c_source_compiles("
    int main()
    {
    #ifndef _FORTIFY_SOURCE
        return 0;
    #else
        this_is_an_error;
    #endif
    }"
    HAVENOT_FORTIFY_SOURCE)

test_big_endian(CPU_IS_BIG_ENDIAN)

check_c_compiler_flag(-Werror HAVE_WERROR_FLAG)
check_c_compiler_flag(-Wdeclaration-after-statement HAVE_DECL_AFTER_STMT_FLAG)
check_c_compiler_flag("-fstack-protector --param ssp-buffer-size=4" HAVE_SSP_FLAG)
check_c_compiler_flag("-mstackrealign" HAVE_STACKREALIGN_FLAG)
check_c_compiler_flag(-msse2 HAVE_MSSE2_FLAG)
check_cxx_compiler_flag(-Weffc++ HAVE_WEFFCXX_FLAG)

add_compile_definitions(
    VERSION="${PROJECT_VERSION}"
    $<$<BOOL:${HAVE_BYTESWAP_H}>:HAVE_BYTESWAP_H>
    $<$<BOOL:${HAVE_INTTYPES_H}>:HAVE_INTTYPES_H>
    $<$<BOOL:${HAVE_STDINT_H}>:HAVE_STDINT_H>
    $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
    $<$<BOOL:${MSVC}>:_USE_MATH_DEFINES>
    $<$<BOOL:${HAVE_ICONV}>:HAVE_ICONV>
    $<$<BOOL:${HAVE_LROUND}>:HAVE_LROUND>
    $<$<BOOL:${HAVE_CPUID_H}>:HAVE_CPUID_H>
    $<$<BOOL:${HAVE_SYS_PARAM_H}>:HAVE_SYS_PARAM_H>
    $<$<BOOL:${ENABLE_64_BIT_WORDS}>:ENABLE_64_BIT_WORDS>
    HAVE_BSWAP16=$<BOOL:${HAVE_BSWAP16}>
    HAVE_BSWAP32=$<BOOL:${HAVE_BSWAP32}>
    ENABLE_64_BIT_WORDS=$<BOOL:${ENABLE_64_BIT_WORDS}>
    WORDS_BIGENDIAN=$<BOOL:${CPU_IS_BIG_ENDIAN}>
    CPU_IS_BIG_ENDIAN=$<BOOL:${CPU_IS_BIG_ENDIAN}>
    CPU_IS_LITTLE_ENDIAN=$<NOT:${CPU_IS_BIG_ENDIAN}>
    FLAC__HAS_X86INTRIN=$<BOOL:${HAVE_X86INTRIN_H}>
    FLAC__USE_AVX=$<BOOL:${WITH_AVX}>
    $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:FLAC__OVERFLOW_DETECT>
    _ALL_SOURCE
    _DARWIN_C_SOURCE
    _GNU_SOURCE
    _POSIX_PTHREAD_SEMANTICS
    __STDC_WANT_IEC_60559_ATTRIBS_EXT__
    __STDC_WANT_IEC_60559_BFP_EXT__
    __STDC_WANT_IEC_60559_DFP_EXT__
    __STDC_WANT_IEC_60559_FUNCS_EXT__
    __STDC_WANT_IEC_60559_TYPES_EXT__
    __STDC_WANT_LIB_EXT2__
    __STDC_WANT_MATH_SPEC_FUNCS__
    _TANDEM_SOURCE
    $<$<AND:$<BOOL:${HAVENOT_FORTIFY_SOURCE}>,$<OR:$<CONFIG:Release>,$<CONFIG:RelWithDebInfo>>>:_FORTIFY_SOURCE=2>)

add_compile_options(
    $<$<BOOL:${MSVC}>:/wd4267>
    $<$<BOOL:${MSVC}>:/wd4996>
    $<$<BOOL:${ENABLE_WERROR}>:-Werror>
    $<$<AND:$<BOOL:${HAVE_SSP_FLAG}>,$<BOOL:${ENABLE_SSP}>>:"-fstack-protector --param ssp-buffer-size=4">
    $<$<AND:$<BOOL:${HAVE_MSSE2_FLAG}>,$<BOOL:FLAC_WITH_SSE>>:-msse2>)

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "i686" AND HAVE_STACKREALIGN_FLAG)
    add_compile_options(-mstackrealign)
endif()
if(HAVE_WEFFCXX_FLAG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weffc++")
endif()
if(HAVE_DECL_AFTER_STMT_FLAG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeclaration-after-statement")
endif()

if(CMAKE_SYSTEM_PROCESSOR MATCHES "[xX]86_64|(AMD|amd)64")
    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(IA32 TRUE)
    endif()
    add_compile_definitions(
        FLAC__CPU_X86_64
        FLAC__ALIGN_MALLOC_DATA)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "([xX]|i[346])86")
    set(IA32 TRUE)
    add_compile_definitions(
        FLAC__CPU_IA32
        FLAC__ALIGN_MALLOC_DATA)
endif()

include(CheckLanguage)
check_language(ASM_NASM)
if(CMAKE_ASM_NASM_COMPILER)
    enable_language(ASM_NASM)
    add_compile_definitions(FLAC__HAS_NASM)
endif()

if(NOT WITH_ASM)
    add_compile_definitions(FLAC__NO_ASM)
endif()

if(WITH_ASM AND IA32 AND CMAKE_ASM_NASM_COMPILER)
    if(APPLE)
        set(CMAKE_ASM_NASM_FLAGS -dOBJ_FORMAT_macho)
    elseif(WIN32)
        set(CMAKE_ASM_NASM_FLAGS -dOBJ_FORMAT_win32)
    else()
        set(CMAKE_ASM_NASM_FLAGS -dOBJ_FORMAT_elf)
    endif()

    add_library(FLAC-asm STATIC
        "${TARGET_SOURCE}/src/libFLAC/ia32/cpu_asm.nasm"
        "${TARGET_SOURCE}/src/libFLAC/ia32/fixed_asm.nasm"
        "${TARGET_SOURCE}/src/libFLAC/ia32/lpc_asm.nasm")
    set_target_properties(FLAC-asm PROPERTIES COMPILE_OPTIONS "")
    target_include_directories(FLAC-asm PRIVATE "${TARGET_SOURCE}/src/libFLAC/ia32/")
endif()

add_library(FLAC-static STATIC
    "${TARGET_SOURCE}/src/libFLAC/bitmath.c"
    "${TARGET_SOURCE}/src/libFLAC/bitreader.c"
    "${TARGET_SOURCE}/src/libFLAC/bitwriter.c"
    "${TARGET_SOURCE}/src/libFLAC/cpu.c"
    "${TARGET_SOURCE}/src/libFLAC/crc.c"
    "${TARGET_SOURCE}/src/libFLAC/fixed.c"
    "${TARGET_SOURCE}/src/libFLAC/fixed_intrin_sse2.c"
    "${TARGET_SOURCE}/src/libFLAC/fixed_intrin_ssse3.c"
    "${TARGET_SOURCE}/src/libFLAC/float.c"
    "${TARGET_SOURCE}/src/libFLAC/format.c"
    "${TARGET_SOURCE}/src/libFLAC/lpc.c"
    "${TARGET_SOURCE}/src/libFLAC/lpc_intrin_sse.c"
    "${TARGET_SOURCE}/src/libFLAC/lpc_intrin_sse2.c"
    "${TARGET_SOURCE}/src/libFLAC/lpc_intrin_sse41.c"
    "${TARGET_SOURCE}/src/libFLAC/lpc_intrin_avx2.c"
    "${TARGET_SOURCE}/src/libFLAC/md5.c"
    "${TARGET_SOURCE}/src/libFLAC/memory.c"
    "${TARGET_SOURCE}/src/libFLAC/metadata_iterators.c"
    "${TARGET_SOURCE}/src/libFLAC/metadata_object.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_decoder.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_encoder.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_encoder_intrin_sse2.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_encoder_intrin_ssse3.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_encoder_intrin_avx2.c"
    "${TARGET_SOURCE}/src/libFLAC/stream_encoder_framing.c"
    "${TARGET_SOURCE}/src/libFLAC/window.c"
    "${TARGET_SOURCE}/src/libFLAC/ogg_decoder_aspect.c"
    "${TARGET_SOURCE}/src/libFLAC/ogg_encoder_aspect.c"
    "${TARGET_SOURCE}/src/libFLAC/ogg_helper.c"
    "${TARGET_SOURCE}/src/libFLAC/ogg_mapping.c"
    "$<$<BOOL:${WIN32}>:${TARGET_SOURCE}/src/share/win_utf8_io/win_utf8_io.c>")

include_directories(
    "${TARGET_SOURCE}/include"
    "${TARGET_SOURCE}/src/libFLAC/include")

target_compile_definitions(FLAC-static PUBLIC FLAC__NO_DLL FLAC__HAS_OGG)
target_include_directories(FLAC-static INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>")
target_link_libraries(FLAC-static PUBLIC
    libogg
    $<TARGET_NAME_IF_EXISTS:FLAC-asm>
    $<$<BOOL:${HAVE_LROUND}>:m>
    $<TARGET_NAME_IF_EXISTS:win_utf8_io>)
set_target_properties(FLAC-static PROPERTIES
    OSX_ARCHITECTURES ""
    OUTPUT_NAME libflac)

add_library(FLACXX-static STATIC
    "${TARGET_SOURCE}/src/libFLAC++/metadata.cpp"
    "${TARGET_SOURCE}/src/libFLAC++/stream_decoder.cpp"
    "${TARGET_SOURCE}/src/libFLAC++/stream_encoder.cpp")
target_compile_definitions(FLACXX-static PUBLIC FLAC__NO_DLL)
target_include_directories(FLACXX-static INTERFACE
    "$<BUILD_INTERFACE:${TARGET_SOURCE}/include>")
target_link_libraries(FLACXX-static PUBLIC FLAC-static)
set_target_properties(FLACXX-static PROPERTIES
    OSX_ARCHITECTURES ""
    OUTPUT_NAME libflac++)

=== cmake-proxies/libid3tag/CMakeLists.txt ===
#directory cmake-proxies/libid3tag
set( TARGET libid3tag )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libid3tag/compat.c
${LIB_SRC_DIRECTORY}libid3tag/crc.c
${LIB_SRC_DIRECTORY}libid3tag/debug.c
${LIB_SRC_DIRECTORY}libid3tag/field.c
${LIB_SRC_DIRECTORY}libid3tag/file.c
${LIB_SRC_DIRECTORY}libid3tag/frame.c
${LIB_SRC_DIRECTORY}libid3tag/frametype.c
${LIB_SRC_DIRECTORY}libid3tag/genre.c
${LIB_SRC_DIRECTORY}libid3tag/latin1.c
${LIB_SRC_DIRECTORY}libid3tag/parse.c
${LIB_SRC_DIRECTORY}libid3tag/render.c
${LIB_SRC_DIRECTORY}libid3tag/tag.c
${LIB_SRC_DIRECTORY}libid3tag/ucs4.c
${LIB_SRC_DIRECTORY}libid3tag/utf16.c
${LIB_SRC_DIRECTORY}libid3tag/utf8.c
${LIB_SRC_DIRECTORY}libid3tag/util.c
${LIB_SRC_DIRECTORY}libid3tag/version.c
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB
)
add_library( ${TARGET} STATIC ${SOURCES})

find_package(wxWidgets REQUIRED COMPONENTS net core base)
#include( ${wxWidgets_USE_FILE} )

target_include_directories( ${TARGET} PRIVATE 
${wxWidgets_ROOT_DIR}/src/zlib
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libmad/CMakeLists.txt ===
#directory cmake-proxies/libmad
set( TARGET libmad )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libmad/bit.c
${LIB_SRC_DIRECTORY}libmad/decoder.c
${LIB_SRC_DIRECTORY}libmad/fixed.c
${LIB_SRC_DIRECTORY}libmad/frame.c
${LIB_SRC_DIRECTORY}libmad/huffman.c
${LIB_SRC_DIRECTORY}libmad/layer12.c
${LIB_SRC_DIRECTORY}libmad/layer3.c
#${LIB_SRC_DIRECTORY}libmad/minimad.c
${LIB_SRC_DIRECTORY}libmad/stream.c
${LIB_SRC_DIRECTORY}libmad/synth.c
${LIB_SRC_DIRECTORY}libmad/timer.c
${LIB_SRC_DIRECTORY}libmad/version.c
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D__WX__
-DWIN32
-D_WINDOWS
-D__WINDOWS__
-D__WXMSW__
-D__WIN95__
-D__WIN32__
-D_LIB
-DHAVE_CONFIG_H
-DFPM_INTEL
)
add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/msvc++
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libnyquist/CMakeLists.txt ===
#directory cmake-proxies/libnyquist
set( TARGET libnyquist )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/f0.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/instr.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/stkinit.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/stkint.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ADSR.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BandedWG.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BiQuad.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Bowed.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BowTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Chorus.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Clarinet.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Delay.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/DelayA.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/DelayL.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Effect.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Envelope.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/FileRead.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/FileWvIn.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Filter.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Flute.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Function.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Generator.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Instrmnt.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/JCRev.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/JetTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Mandolin.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Modal.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ModalBar.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Noise.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/NRev.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/OnePole.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/OneZero.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PitShift.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PluckTwo.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PoleZero.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PRCRev.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ReedTabl.cpp  #Junk??
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ReedTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Saxofony.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/SineWave.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Sitar.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Stk.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/WaveLoop.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/WvIn.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/longque.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/textio.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/winmain.cpp

${LIB_SRC_DIRECTORY}libnyquist/nyx.c
${LIB_SRC_DIRECTORY}libnyquist/xlextstart.c

${LIB_SRC_DIRECTORY}libnyquist/nyx.c
${LIB_SRC_DIRECTORY}libnyquist/xlextstart.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cleanup.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmdline.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmtcmd.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmtio.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/mem.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midifile.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midifns.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midimgr.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/moxc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/record.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqmread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqmwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/tempomap.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/timebase.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/userio.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/conv2dTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/convTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/rfft2dTestML.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest2d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest3d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/rfftTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/rfftTest2d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/dxpose.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fft2d.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fftext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fftlib.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/matlib.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Timing-code/fftTiming.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Timing-code/rfftTiming.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/add.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/avg.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/compose.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/convolve.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/debug.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/downsample.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/falloc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/ffilterkit.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fft-rbd.c #?? using official fft.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fft.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fftr4.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/handlers.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/inverse.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/local.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/lpanal.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/multiread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/multiseq.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nfilterkit.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nyq-osc-server.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nyx.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/oldyin.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/phasevocoder.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/probe.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/pvshell.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/resamp.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/resampv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/samples.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqfnint.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqinterf.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sliderdata.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndfail.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndfnint.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndmax.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndseq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndsliders.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndwritepa.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sound.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/stats.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/trigger.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/yin.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macaboutbox.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacAE.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacCommandWin.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macdrag.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacFileUtils.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macfun.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacHandleEv.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macint.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/xlextstart.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/io.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/osstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/term.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/termtest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/msvc/winfun.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/msvc/winstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/winguistuff.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/xlextstart.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/xlispfns.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/abs.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/allpoles.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpass.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpasscv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpassvc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpassvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/amosc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/areson.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresoncv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresonvc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresonvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/atone.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/atonev.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/biquadfilt.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/buzz.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/chase.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/clip.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/congen.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/const.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/coterm.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/delaycc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/delaycv.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/downproto.c #?? Used downsample.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/eqbandvvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/exp.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmfb.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmfbv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmosc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/follow.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fromarraystream.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fromobject.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/gate.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/ifft.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbanded.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbow.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbowedfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclarall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclarfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrflute.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrfluteall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrflutefreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrmandolin.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrmodalbar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsax.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsaxall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsaxfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsitar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/integrate.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/log.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/lpreson.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/maxv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/offset.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/oneshot.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/osc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/partial.c

=== cmake-proxies/libogg/CMakeLists.txt ===
#directory cmake-proxies/libogg
set(TARGET libogg)
set(TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET})

project(${TARGET})

include(CheckIncludeFile)
include(CheckTypeSize)

check_include_file("inttypes.h" INCLUDE_INTTYPES_H)
check_include_file("stdint.h" INCLUDE_STDINT_H)
check_include_file("sys/types.h" INCLUDE_SYS_TYPES_H)

check_type_size("int16_t" INT16_SIZE LANGUAGE C)
check_type_size("uint16_t" UINT16_SIZE LANGUAGE C)
check_type_size("u_int16_t" U_INT16_SIZE LANGUAGE C)
check_type_size("int32_t" INT32_SIZE LANGUAGE C)
check_type_size("uint32_t" UINT32_SIZE LANGUAGE C)
check_type_size("u_int32_t" U_INT32_SIZE LANGUAGE C)
check_type_size("int64_t" INT64_SIZE LANGUAGE C)
check_type_size("short" SHORT_SIZE LANGUAGE C)
check_type_size("int" INT_SIZE LANGUAGE C)
check_type_size("long" LONG_SIZE LANGUAGE C)
check_type_size("long long" LONG_LONG_SIZE LANGUAGE C)

if(INT16_SIZE EQUAL 2)
    set(SIZE16 "int16_t")
elseif(SHORT_SIZE EQUAL 2)
    set(SIZE16 "short")
elseif(INT_SIZE EQUAL 2)
    set(SIZE16 "int")
else()
    message(FATAL_ERROR "No 16 bit type found on this platform!")
endif()

if(UINT16_SIZE EQUAL 2)
    set(USIZE16 "uint16_t")
elseif(SHORT_SIZE EQUAL 2)
    set(USIZE16 "unsigned short")
elseif(INT_SIZE EQUAL 2)
    set(USIZE16 "unsigned int")
elseif(U_INT_SIZE EQUAL 2)
    set(USIZE16 "u_int16_t")
else()
    message(FATAL_ERROR "No unsigned 16 bit type found on this platform!")
endif()

if(INT32_SIZE EQUAL 4)
    set(SIZE32 "int32_t")
elseif(SHORT_SIZE EQUAL 4)
    set(SIZE32 "short")
elseif(INT_SIZE EQUAL 4)
    set(SIZE32 "int")
elseif(LONG_SIZE EQUAL 4)
    set(SIZE16 "long")
else()
    message(FATAL_ERROR "No 32 bit type found on this platform!")
endif()

if(UINT32_SIZE EQUAL 4)
    set(USIZE32 "uint32_t")
elseif(SHORT_SIZE EQUAL 4)
    set(USIZE32 "unsigned short")
elseif(INT_SIZE EQUAL 4)
    set(USIZE32 "unsigned int")
elseif(LONG_SIZE EQUAL 4)
    set(USIZE32 "unsigned long")
elseif(U_INT_SIZE EQUAL 4)
    set(USIZE32 "u_int32_t")
else()
    message(FATAL_ERROR "No unsigned 32 bit type found on this platform!")
endif()

if(INT64_SIZE EQUAL 8)
    set(SIZE64 "int64_t")
elseif(INT_SIZE EQUAL 8)
    set(SIZE64 "int")
elseif(LONG_SIZE EQUAL 8)
    set(SIZE64 "long")
elseif(LONG_LONG_SIZE EQUAL 8)
    set(SIZE64 "long long")
else()
    message(FATAL_ERROR "No 64 bit type found on this platform!")
endif()

configure_file(
    "${LIB_SRC_DIRECTORY}libogg/include/ogg/config_types.h.in"
    "ogg/config_types.h")

add_library(${TARGET}
    "${LIB_SRC_DIRECTORY}libogg/src/bitwise.c"
    "${LIB_SRC_DIRECTORY}libogg/src/framing.c")

target_include_directories(${TARGET} PUBLIC
    "${TARGET_SOURCE}/include"
    "${CMAKE_CURRENT_BINARY_DIR}")

=== debian/changelog ===
audacity (2.3.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:33:45 +0100

audacity (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Drop obsolete d/NEWS file.
  * debian/patches:
    + 0002-workaround-wxwidgets-fit-recovery.patch: Drop, Obsolete.
    + 0005-Fix-building-against-the-system-portaudio-library.patch: Update. 

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 Nov 2019 20:50:20 +0100

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>,
           Jaromír Mikeš <mira.mikes@seznam.cz>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev (>= 6:0.8),
               libavformat-dev (>= 6:0.8),
               libavutil-dev (>= 6:0.8),
               libexpat1-dev,
               libflac++-dev,
               libgtk-3-dev,
               libid3tag0-dev,
               libjack-dev,
               liblilv-dev,
               libmad0-dev (>= 0.14.2b),
               libmp3lame-dev,
               libogg-dev (>= 1.0.0),
               libportsmf-dev,
#               libsbsms-dev (>= 2.2.0),
               libsndfile1-dev (>= 1.0.0),
               libsoundtouch-dev (>= 1.3.1-2),
               libsoxr-dev (>= 0.0.5),
               libsuil-dev,
               libtwolame-dev (>= 0.3.9),
               libvorbis-dev (>= 1.0.0-3),
               libwxgtk3.0-gtk3-dev,
               lv2-dev,
               portaudio19-dev (>= 19+svn20101113-3~),
               vamp-plugin-sdk (>= 2.0)
Homepage: https://www.audacityteam.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacity
Vcs-Git: https://salsa.debian.org/multimedia-team/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

configure_flags := \
	--disable-dynamic-loading \
	--with-expat=system \
	--with-ffmpeg=system \
	--with-lame=system \
	--with-libflac=system \
	--with-libid3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-libsoxr=system \
	--with-libtwolame=system \
	--with-libvamp=system \
	--with-libvorbis=system \
	--with-lv2=system \
 	--with-midi=system \
 	--with-portaudio=system \
 	--with-portsmf=system \
	--with-sbsms=local \
 	--with-soundtouch=system \
 	$(NULL)

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
    configure_flags += --enable-sse=yes
else
    configure_flags += --enable-sse=no
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# tests fails with system portaudio
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%audacity-$1.tar.gz%" \
             https://github.com/audacity/audacity/tags \
             (?:.*?/)?Audacity-?(\d[\d.]*)\.tar\.gz debian uupdate
